/oauth2/continue
POST
/oauth2/continue
const url = 'https://gymgym.club/api/auth/oauth2/continue';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"selected":true,"created":true,"postLogin":true,"oauth_query":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gymgym.club/api/auth/oauth2/continue \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "selected": true, "created": true, "postLogin": true, "oauth_query": "example" }'Continues OAuth2 authorization flow
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
selected
boolean
created
boolean
postLogin
boolean
oauth_query
string
Examplegenerated
{ "selected": true, "created": true, "postLogin": true, "oauth_query": "example"}Responses
Section titled “Responses”Consent processed successfully
Media typeapplication/json
object
redirect_uri
required
The URI to redirect to, either with an authorization code or an error
string format: uri
Examplegenerated
{ "redirect_uri": "https://example.com"}Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}